/* See LICENSE file for copyright and license details. */

#ifndef _layer_h_
#define _layer_h_

#include "../headers/perceptron.h"

typedef struct {
	int p_num;
	Perceptron **p;
} Layer;

Layer *new_layer(int p_num, int i_num);
Layer *new_input_layer(int p_num);
void free_layer(Layer *l);

#endif
